Bug 834352 - ovirt-engine-backend [Direct Lun]: bootable tag is not enforced on direct lun
ovirt-engine-backend [Direct Lun]: bootable tag is not enforced on direct lun
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: 3.1.0
Assigned To: Tal Nisan
vvyazmin@redhat.com
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 11:51 EDT by Dafna Ron
Modified: 2016-02-10 12:14 EST (History)
10 users (show)

See Also:
Fixed In Version: SI11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log screen shot (256.93 KB, application/x-gzip)
2012-06-21 11:51 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-06-21 11:51:42 EDT
Created attachment 593491 [details]
log screen shot

Description of problem:

I created a direct lun with bootable tag. 
DB table shows that the disk is bootable but when I attach the disk to the vm the tag is not enforced. 

when I edit the disk and re-check the disk the dialogue is stuck in sand-clock forever. 

Version-Release number of selected component (if applicable):

si6

How reproducible:

100%

Steps to Reproduce:
1. create a bootable direct lun
2. attach it to a vm
3. edit the disk -> boot check box is unchecked -> check the check box 
  
Actual results:

cannot create a bootable direct lun disk 

Expected results:

we should be able to create a bootable direct lun. 

Additional info: logs
Comment 1 Tal Nisan 2012-07-01 10:19:30 EDT
http://gerrit.ovirt.org/#/c/5808/
Comment 2 Dafna Ron 2012-07-08 11:48:46 EDT
tested on si9.1

although we are able to add the bootable tag we cannot remove it.

reproduction: 

1. create a direct lun without the bootable tag
2. edit disk -> check the bootable tag
3. try to uncheck bootable tag

we also cannot remove when the disk is created with bootable tag (create the disk as bootable and try to uncheck the tag)
Comment 3 Tal Nisan 2012-07-19 07:55:57 EDT
When you do the change to the bootable attribute, make sure you wait some time to let the update request get and be executed in the server and for the updated disk entities get to the ui
Comment 4 Yaniv Kaul 2012-07-19 08:18:35 EDT
(In reply to comment #3)
> When you do the change to the bootable attribute, make sure you wait some
> time to let the update request get and be executed in the server and for the
> updated disk entities get to the ui

Are you asking the USER to wait?! How long? 5 seconds? Coffee break?
Perhaps we should block (make sync) the change, makes more sense to me (anticipating it's not a coffee break wait, but several seconds).
Can it fail?
Comment 5 Tal Nisan 2012-07-19 08:20:12 EDT
Takes about 3 seconds, there's not much reason for the user to reopen the edit disk pop up again, it's fire and forget, you set the value, click ok and go on
Comment 6 vvyazmin@redhat.com 2012-07-24 02:40:45 EDT
Verified on RHEVM 3.1 - SI11

RHEVM: rhevm-3.1.0-7.el6ev.noarch.rpm
VDSM: vdsm-4.9.6-23.0.el6.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6.x86_64
SANLOCK: sanlock-2.3-2.1.el6.x86_64

Note You need to log in before you can comment on or make changes to this bug.